Bug 17575 - Remove Circulation.t warnings
Summary: Remove Circulation.t warnings
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 14598
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-07 18:59 UTC by Tomás Cohen Arazi
Modified: 2016-12-14 10:48 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17575: Remove itemtype-related warnings from Circulation.t (6.00 KB, patch)
2016-11-07 19:14 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 17575: (followup) Remove missing fine type warnings (1.53 KB, patch)
2016-11-07 19:14 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17575: Remove itemtype-related warnings from Circulation.t (6.06 KB, patch)
2016-11-07 21:36 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17575: (followup) Remove missing fine type warnings (1.60 KB, patch)
2016-11-07 21:36 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17575: Remove itemtype-related warnings from Circulation.t (6.15 KB, patch)
2016-11-11 08:15 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17575: (followup) Remove missing fine type warnings (1.68 KB, patch)
2016-11-11 08:15 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-11-07 18:59:50 UTC
Bug 14598 made this tests raise lots of warnings because of incomplete data on sample items.
Comment 1 Tomás Cohen Arazi 2016-11-07 19:14:19 UTC
Created attachment 57278 [details] [review]
Bug 17575: Remove itemtype-related warnings from Circulation.t

To test:
- Run:
  $ prove t/db_dependent/Circulation.t
=> FAIL: Lots of warnings
- Apply the patch
- Run:
  $ prove t/db_dependent/Circulation.t
=> SUCCESS: All green and no itemtype warnings
- Sign off :-D

Sponsored-by: ByWater Solutions
Comment 2 Tomás Cohen Arazi 2016-11-07 19:14:25 UTC
Created attachment 57279 [details] [review]
Bug 17575: (followup) Remove missing fine type warnings

Sponsored-by: ByWater Solutions
Comment 3 Josef Moravec 2016-11-07 21:36:30 UTC
Created attachment 57289 [details] [review]
[SIGNED-OFF] Bug 17575: Remove itemtype-related warnings from Circulation.t

To test:
- Run:
  $ prove t/db_dependent/Circulation.t
=> FAIL: Lots of warnings
- Apply the patch
- Run:
  $ prove t/db_dependent/Circulation.t
=> SUCCESS: All green and no itemtype warnings
- Sign off :-D

Sponsored-by: ByWater Solutions

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Josef Moravec 2016-11-07 21:36:36 UTC
Created attachment 57290 [details] [review]
[SIGNED-OFF] Bug 17575: (followup) Remove missing fine type warnings

Sponsored-by: ByWater Solutions

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Marcel de Rooy 2016-11-11 08:15:11 UTC
Created attachment 57446 [details] [review]
Bug 17575: Remove itemtype-related warnings from Circulation.t

To test:
- Run:
  $ prove t/db_dependent/Circulation.t
=> FAIL: Lots of warnings
- Apply the patch
- Run:
  $ prove t/db_dependent/Circulation.t
=> SUCCESS: All green and no itemtype warnings
- Sign off :-D

Sponsored-by: ByWater Solutions

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2016-11-11 08:15:15 UTC
Created attachment 57447 [details] [review]
Bug 17575: (followup) Remove missing fine type warnings

Sponsored-by: ByWater Solutions

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Kyle M Hall 2016-11-12 02:36:08 UTC
Pushed to master for 16.11, thanks Tomas!
Comment 8 Mason James 2016-12-14 10:48:49 UTC
Pushed to 16.05.x, for 16.05.06 release